Bug 444672 - OpenJDK crash when HotSpot compiles Eclipse's org.eclipse.core.internal.dtree.DataTreeNode.forwardDeltaWith
OpenJDK crash when HotSpot compiles Eclipse's org.eclipse.core.internal.dtree...
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Andrew Haley
Fedora Extras Quality Assurance
: 441403 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-29 16:52 EDT by Thomas Fitzsimmons
Modified: 2008-08-21 09:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-21 09:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2008-04-29 16:52:02 EDT
This bug tracks progress getting a fix for the upstream bug:


into Fedora.  This bug has more details and a workaround:


Description of problem:

HotSpot may crash when it compiles Eclipse's

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run Eclipse without this line in /usr/lib/eclipse/eclipse.ini


Actual results:

HotSpot crashes with a message like:

# An unexpected error has been detected by Java Runtime Environment:
#  SIGSEGV (0xb) at pc=0x00002aaaaacd5fa1, pid=8904, tid=1080056144
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b21 mixed mode linux-amd64)
# Problematic frame:
# V  [libjvm.so+0x205fa1]
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.


Current CompileTask:
(469 bytes)

Expected results:

No crash.

Additional info:

Filing under x86-64 since that seems to be the most commonly-reported case.
Comment 1 Thomas Fitzsimmons 2008-04-29 16:53:54 EDT
eclipse-3.3.2-11.fc9 contains a workaround but HotSpot needs to be fixed.
Comment 2 Thomas Fitzsimmons 2008-04-29 16:54:38 EDT
*** Bug 441403 has been marked as a duplicate of this bug. ***
Comment 3 Andrew Haley 2008-05-01 12:18:01 EDT
I have eclipse-platform-3.3.2-9.fc9.x86_64 installed.


 $ cat /usr/lib64/eclipse/eclipse.ini

I see no crash.  Is this new with b09 ?
Comment 5 Thomas Fitzsimmons 2008-05-01 13:43:05 EDT
I haven't tried reproducing this yet.  I filed this bug to summarize 441403 and
give the issue a searchable summary.  /usr/lib/eclipse/eclipse.ini should be
/usr/lib64/eclipse/eclipse.ini, and "How reproducible" should be "?" -- sorry.

Is there a way to enable HotSpot logging to confirm that
org.eclipse.core.internal.dtree.DataTreeNode.forwardDeltaWith is being compiled
in your runs?  If it is being compiled then either the upstream bug has been
fixed (but the bug report left open for some reason) or the failure is
intermittent or dependent on hardware specifics.

If the bug has been fixed upstream then it would be nice to know what the fix was.
Comment 6 Bug Zapper 2008-05-14 06:24:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Red Hat Bugzilla 2008-07-24 21:04:24 EDT
Adding patrickm@redhat.com to the cc list as the manager of the disabled user fitzsim@redhat.com who reported this bug
Comment 8 Ricardo Veguilla 2008-08-12 13:07:12 EDT
I had the same problem and filed a bug in the icedtea bugzilla. See: 


According to the comments, the bug was fixed after openjdk b010. I personally tested openJDK 1.6.0_10-rc-b28 and it working correctly.
Comment 9 Andrew Overholt 2008-08-12 13:15:57 EDT
Note that we're still carrying the workaround in %{_libdir}/eclipse/eclipse.ini for a few of these crashes:


That last one I just hit this morning but the syntax on it is incorrect for the inner class; anyone know how to fix it?
Comment 10 Andrew Haley 2008-08-21 09:11:27 EDT
This is now fixed.  Closing.
Comment 11 Andrew Overholt 2008-08-21 09:17:27 EDT
So we should remove the CompileCommand=exclude for the DataTreeNode class?  What about the others?

Note You need to log in before you can comment on or make changes to this bug.